#include <QPushButton>
#include <QLabel>
#include <QString>
#include <QTextDocument>
#include <QTextEdit>
#include <QFile>
#include <QTextStream>
#include <QPainter>
#include <QPixmap>

#include "costanti.h"

#include "ARDialogInfo.h"

ARDialogInfo::ARDialogInfo(QWidget *parent) : QDialog(parent)
 {
  QString aux;
  aux = "<b>Edepol<font color=#ff0000><i>!</i></font></b>&nbsp;&nbsp;";
  aux += EDEPOL_VER;
  aux += " (versione database ";
  aux += EDEPOL_DB_VER;
  aux += ") Sviluppato sotto GNU da <b>www.valarsoft.com</b>";
  _titolo  = new QLabel(tr(aux.toStdString().c_str()),this);
  _titolo->setGeometry (6,10,500,24);
  _titolo1 = new QLabel(tr("<b>Edepol<font color=#ff0000><i>!</i></font></b>&nbsp; stato creato usando i seguenti strumenti di sviluppo GNU:"),this);
  _titolo1->setGeometry(6,34,500,24);
  testo     = new QTextEdit(this);
  testo->setGeometry(10,130,430,240);
  documento = new QTextDocument("",this);
  setLic();
  testo->setDocument(documento);
  testo->setReadOnly(true);

  lic = new QPushButton(tr("Licenza"),this);
  lic->setGeometry(350,50,90,24);
  auth = new QPushButton(tr("Autore"),this);
  auth->setGeometry(350,74,90,24);
  hist = new QPushButton(tr("Storia"),this);
  hist->setGeometry(350,98,90,24);
  ok = new QPushButton(QIcon("pic/exit.png"),tr("Chiudi"),this);
  ok->setGeometry(177,375,96,30);

  pix = new QPixmap("pic/loghi.png");
 
  connect(ok,SIGNAL(clicked()),this,SLOT(accept()));
  connect(lic,SIGNAL(clicked()),this,SLOT(setLic()));
  connect(auth,SIGNAL(clicked()),this,SLOT(setAuth()));
  connect(hist,SIGNAL(clicked()),this,SLOT(setHist()));

  setWindowFlags(Qt::Window | Qt::MSWindowsFixedSizeDialogHint | Qt::WindowTitleHint | Qt::WindowSystemMenuHint);
  setGeometry(200,160,450,408);
 }

void ARDialogInfo::setTextFile(QString fname)
 {
	QFile *fd = new QFile(fname);
	QString str;

 	fd->open(QIODevice::ReadOnly | QIODevice::Text);
 	QTextStream in(fd);
 	while(!in.atEnd())
 	 {
    str+=in.readLine()+"\n";
   }
  documento->setPlainText(str);
 	fd->close();
 }

void ARDialogInfo::setLic() { setTextFile("license.it.txt"); }

void ARDialogInfo::setAuth() { setTextFile("author.it.txt"); }

void ARDialogInfo::setHist() { setTextFile("history.it.txt"); }

void ARDialogInfo::paintEvent(QPaintEvent *pe)
 {
  QPainter p(this);
  p.drawPixmap(10,60,*pix);
 }
