#include <QPushButton>
#include <QComboBox>
#include <QLabel>

#include "ARsql.h"

#include "ARDialogProv.h"

ARDialogProv::ARDialogProv(QWidget *parent) : QDialog(parent)
 {
 	sql = new ARsql(this);
	setWindowTitle(tr("Cerca provincia"));
  _prov     = new QLabel(tr("Scegli provincia"),this); _prov->setGeometry (10,10,150,24);
  listaProv = new QComboBox(this);                     listaProv->setGeometry(110,10,200,24);
  listaProv->addItem("Agrigento",           "AG");
  listaProv->addItem("Alessandria",         "AL");
  listaProv->addItem("Ancona",              "AN");
  listaProv->addItem("Aosta",               "AO");
  listaProv->addItem("Ascoli Piceno",       "AP");
  listaProv->addItem("L'Aquila",            "AQ");
  listaProv->addItem("Arezzo",              "AR");
  listaProv->addItem("Asti",                "AT");
  listaProv->addItem("Avellino",            "AV");
  listaProv->addItem("Bari",                "BA");
  listaProv->addItem("Bergamo",             "BG");
  listaProv->addItem("Biella",              "BI");
  listaProv->addItem("Belluno",             "BL");
  listaProv->addItem("Benevento",           "BN");
  listaProv->addItem("Bologna",             "BO");
  listaProv->addItem("Brindisi",            "BR");
  listaProv->addItem("Brescia",             "BS");
  listaProv->addItem("Bolzano-Bozen",       "BZ");
  listaProv->addItem("Cagliari",            "CA");
  listaProv->addItem("Campobasso",          "CB");
  listaProv->addItem("Caserta",             "CE");
  listaProv->addItem("Chieti",              "CH");
  listaProv->addItem("Caltanissetta",       "CL");
  listaProv->addItem("Cuneo",               "CN");
  listaProv->addItem("Como",                "CO");
  listaProv->addItem("Cremona",             "CR");
  listaProv->addItem("Cosenza",             "CS");
  listaProv->addItem("Catania",             "CT");
  listaProv->addItem("Catanzaro",           "CZ");
  listaProv->addItem("Enna",                "EN");
  listaProv->addItem("Ferrara",             "FE");
  listaProv->addItem("Foggia",              "FG");
  listaProv->addItem("Firenze",             "FI");
  listaProv->addItem("Forl-Cesena",        "FO");
  listaProv->addItem("Frosinone",           "FR");
  listaProv->addItem("Genova",              "GE");
  listaProv->addItem("Gorizia",             "GO");
  listaProv->addItem("Grosseto",            "GR");
  listaProv->addItem("Imperia",             "IM");
  listaProv->addItem("Isernia",             "IS");
  listaProv->addItem("Crotone",             "KR");
  listaProv->addItem("Lecco",               "LC");
  listaProv->addItem("Lecce",               "LE");
  listaProv->addItem("Livorno",             "LI");
  listaProv->addItem("Lodi",                "LO");
  listaProv->addItem("Latina",              "LT");
  listaProv->addItem("Lucca",               "LU");
  listaProv->addItem("Macerata",            "MC");
  listaProv->addItem("Messina",             "ME");
  listaProv->addItem("Milano",              "MI");
  listaProv->addItem("Mantova",             "MV");
  listaProv->addItem("Modena",              "MO");
  listaProv->addItem("Massa-Carrara",       "MS");
  listaProv->addItem("Matera",              "MT");
  listaProv->addItem("Napoli",              "NA");
  listaProv->addItem("Novara",              "NO");
  listaProv->addItem("Nuoro",               "NU");
  listaProv->addItem("Oristano",            "OR");
  listaProv->addItem("Palermo",             "PA");
  listaProv->addItem("Piacenza",            "PC");
  listaProv->addItem("Padova",              "PD");
  listaProv->addItem("Pescara",             "PE");
  listaProv->addItem("Perugia",             "PG");
  listaProv->addItem("Pisa",                "PI");
  listaProv->addItem("Pordenone",           "PN");
  listaProv->addItem("Prato",               "PO");
  listaProv->addItem("Parma",               "PR");
  listaProv->addItem("Pesaro e urbino",     "PS");
  listaProv->addItem("Pistoia",             "PT");
  listaProv->addItem("Pavia",               "PV");
  listaProv->addItem("Potenza",             "PZ");
  listaProv->addItem("Ravenna",             "RA");
  listaProv->addItem("Reggio Calabria",     "RC");
  listaProv->addItem("Reggio Emilia",       "RE");
  listaProv->addItem("Ragusa",              "RG");
  listaProv->addItem("Rieti",               "RI");
  listaProv->addItem("Roma",                "RM");
  listaProv->addItem("Rimini",              "RN");
  listaProv->addItem("Rovigo",              "RO");
  listaProv->addItem("Salerno",             "SA");
  listaProv->addItem("Siena",               "SI");
  listaProv->addItem("Sondrio",             "SO");
  listaProv->addItem("La Spezia",           "SP");
  listaProv->addItem("Siracusa",            "SR");
  listaProv->addItem("Sassari",             "SS");
  listaProv->addItem("Savona",              "SV");
  listaProv->addItem("Taranto",             "TA");
  listaProv->addItem("Teramo",              "TE");
  listaProv->addItem("Trento",              "TN");
  listaProv->addItem("Torino",              "TO");
  listaProv->addItem("Trapani",             "TP");
  listaProv->addItem("Terni",               "TR");
  listaProv->addItem("Trieste",             "TS");
  listaProv->addItem("Treviso",             "TV");
  listaProv->addItem("Udine",               "UD");
  listaProv->addItem("Varese",              "VA");
  listaProv->addItem("Verbano-Cusio-Ossola","VB");
  listaProv->addItem("Vercelli",            "VC");
  listaProv->addItem("Venezia",             "VE");
  listaProv->addItem("Vicenza",             "VI");
  listaProv->addItem("Verona",              "VR");
  listaProv->addItem("Viterbo",             "VT");
  listaProv->addItem("Vibo Valentia",       "VV");
 	
 	inserisci = new QPushButton(QIcon("pic/ok.png"),tr("Inserisci"),this);
 	inserisci->setGeometry(10,50,96,30);
 	annulla = new QPushButton(QIcon("pic/exit.png"),tr("Annulla"),this);
  annulla->setGeometry(120,50,96,30);
  connect(annulla,SIGNAL(clicked()),this,SLOT(reject()));
  connect(inserisci,SIGNAL(clicked()),this,SLOT(accept()));

  setWindowFlags(Qt::Window | Qt::MSWindowsFixedSizeDialogHint | Qt::WindowTitleHint | Qt::WindowSystemMenuHint);
  setGeometry(200,200,320,90);
 }

QString ARDialogProv::getProvincia() { return listaProv->itemData(listaProv->currentIndex()).toString(); }

void ARDialogProv::clearForm() { listaProv->setCurrentIndex(0); }
