#ifndef ARDIALOGSTAMPE_H
#define ARDIALOGSTAMPE_H

#include <QDialog>

class QPushButton;
class QLineEdit;
class QComboBox;
class QCheckBox;
class QLabel;
class QString;
class QTabWidget;
class QMessageBox;

class ARsql;

class ARDialogStampe : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *salva,*annulla;
   
   ARDialogStampe(QWidget *parent = 0);

  public slots:
   void loadPrefStampa();
   void savePrefStampa();
   void attivaTab(int);

  private:
   ARsql *sql;
   QTabWidget *tab;
   QWidget *tpage1,*tpage2,*tpage3;
   int current_tab;
   // Etichette
   QLabel *_mmdestra,*_mmalto,*_mmsinistra,*_mmbasso,*_mroriz,*_mrvert,*_numr,*_numc,*_dimBC,*_altBC;
   QLineEdit *mmdestra,*mmalto,*mmsinistra,*mmbasso,*mroriz,*mrvert,*numr,*numc;
   QComboBox *listaDimBC,*listaAltBC;
   QCheckBox *ckart,*ckcolore,*ckfondo,*cktacco,*ckstagione;
   // Intestazioni
   QLabel *_mmdestra1,*_mmalto1,*_mmsinistra1,*_mmbasso1,*_mroriz1,*_mrvert1,*_numr1,*_numc1,*_titcli,*_titfor;
   QLineEdit *mmdestra1,*mmalto1,*mmsinistra1,*mmbasso1,*mroriz1,*mrvert1,*numr1,*numc1,*titcli,*titfor;
   QMessageBox *warnbox;

   bool checkFormEt();
   bool checkFormIn();
   //bool checkFormTa();
   QString quote(QString,bool like = false);
   
  private slots:
   void cambiaTab(int);
 };

#endif
