#ifndef ARGRIGLIAOPT_H
#define ARGRIGLIAOPT_H

#include <QWidget>

class QTableWidget;
class QGroupBox;
class QTableWidgetItem;
class QPushButton;
class QLineEdit;
class QLabel;
class QMessageBox;

class ARFinestra;
class ARsql;

class ARGrigliaOpt : public QWidget
 {
  Q_OBJECT

  public:
   QTableWidget *table;
   QPushButton *edit,*del,*search,*reset,*stampa;
   QLineEdit *codice,*descr,*etich;
   
   ARGrigliaOpt(QWidget *parent = 0);
   void settaGeometria(int,int);
   QTableWidgetItem *inserisciRiga(QString);
   QTableWidgetItem *inserisciRiga(const char *);
   void setTabella(QString);
   QString getTabella();
   void setNomeID(QString);

  public slots:
   void visOption();
   void delOption();
   void resRicerca();

  private:
   QString tabella,nomeID;
   int num_col;
   ARFinestra *mainWin;
   ARsql *sql;
   QMessageBox *infobox,*warnbox,*yesnobox;
   QGroupBox *cornice;
   QLabel *_codice,*_descr,*_etich;

   QString quote(QString, bool like = false);
 };

#endif
