#include <QPushButton>
#include <QGroupBox>
//#include <QLabel>
//#include <QLineEdit>
#include <QMessageBox>

#include "ARsql.h"
#include "ARFinestra.h"

#include "ARMainMenu.h"

ARMainMenu::ARMainMenu(QWidget *parent) : QWidget(parent)
 {
 	mainWin=(ARFinestra *)parent;
 	sql = new ARsql(this);
 	infobox = new QMessageBox(tr("Informazioni"),"",QMessageBox::Question,0,0,0,this);
 	warnbox = new QMessageBox(tr("Avviso"),"",QMessageBox::Warning,0,0,0,this);
 	cornice1 = new QGroupBox(tr("Archivio "),this);  cornice1->setGeometry(  0,20,200,400);
 	cornice2 = new QGroupBox(tr("Magazzino "),this); cornice2->setGeometry(210,20,200,400);
 	cornice3 = new QGroupBox(tr("Documenti "),this); cornice3->setGeometry(420,20,200,400);
  // Archivio
 	fornitori = new QPushButton(QIcon("pic/fornitori.png"),tr(" Fornitori"),cornice1);
 	fornitori->setGeometry(10,20,180,80);
 	fornitori->setIconSize(QSize(32,32));
 	clienti = new QPushButton(QIcon("pic/clienti.png"),tr(" Clienti"),cornice1);
 	clienti->setGeometry(10,110,180,80);
 	clienti->setIconSize(QSize(32,32));
 	azienda = new QPushButton(QIcon("pic/aziende_vis.png"),tr(" Azienda"),cornice1);
 	azienda->setGeometry(10,200,180,80);
 	azienda->setIconSize(QSize(32,32));
 	
  // Magazzino
 	magazzino = new QPushButton(QIcon("pic/magazzino.png"),tr(" Magazzino"),cornice2);
 	magazzino->setGeometry(10,20,180,80);
 	magazzino->setIconSize(QSize(32,32));
 	carico = new QPushButton(QIcon("pic/magazzino_add.png"),tr(" Carico merce"),cornice2);
 	carico->setGeometry(10,110,180,80);
 	carico->setIconSize(QSize(32,32));
 	cassa = new QPushButton(QIcon("pic/scarico.png"),tr(" Cassa rapida"),cornice2);
 	cassa->setGeometry(10,200,180,80);
 	cassa->setIconSize(QSize(32,32));
 	
  // Documenti
 	fatture = new QPushButton(QIcon("pic/fatture.png"),tr(" Fatture"),cornice3);
 	fatture->setGeometry(10,20,180,80);
 	fatture->setIconSize(QSize(32,32));
 	ddt = new QPushButton(QIcon("pic/ddt.png"),tr(" Documenti di\n trasporto"),cornice3);
 	ddt->setGeometry(10,110,180,80);
 	ddt->setIconSize(QSize(32,32));
 	scadenze = new QPushButton(QIcon("pic/scadenze.png"),tr(" Scadenze"),cornice3);
 	scadenze->setGeometry(10,200,180,80);
 	scadenze->setIconSize(QSize(32,32));
 	stat = new QPushButton(QIcon("pic/stat.png"),tr(" Statistiche"),cornice3);
 	stat->setGeometry(10,290,180,80);
 	stat->setIconSize(QSize(32,32));
	if(!mainWin->STATISTICS_ENABLED) stat->hide();

  //connect(esegui,SIGNAL(clicked()),this,SLOT(addCliente()));
  //connect(cercap,SIGNAL(clicked()),this,SLOT(cercaCAP()));

 	infobox->setWindowModality(Qt::WindowModal);
 	warnbox->setWindowModality(Qt::WindowModal);
  setGeometry(0,61,680,440);
  //hide();
 }
