#ifndef AROPTION_H
#define AROPTION_H

#define AROPTION_ADD  0
#define AROPTION_EDIT 1

#include <QWidget>

class QPushButton;
class QGroupBox;
class QLineEdit;
class QLabel;
class QMessageBox;

class ARFinestra;
class ARsql;

class AROption : public QWidget
 {
  Q_OBJECT

  public:
   QGroupBox *cornice;
   QPushButton *esegui;
   QLineEdit *codice,*descr,*etich;
   
   AROption(QWidget *parent = 0);
   bool setForm(QString);
   void clearForm();
   void setOptionID(QString);
   void setTabella(QString);
   void setNomeID(QString);
   void setAzione(int);
   bool isAzione(int);
   
  public slots:
   void addOption();
   
  private:
   ARFinestra *mainWin;
   ARsql *sql;
   QMessageBox *infobox,*warnbox;
   QString optionID,tabella,nomeID;
   QLabel *_codice,*_descr,*_etich;
   int azione;

   bool checkForm();
   QString quote(QString, bool like = false);   
 };

#endif
