#ifndef ARTIPOARTICOLO_H
#define ARTIPOARTICOLO_H

#define ARTIPOARTICOLO_ADD  0
#define ARTIPOARTICOLO_EDIT 1

#include <QWidget>

class QPushButton;
class QGroupBox;
class QLineEdit;
class QLabel;
class QMessageBox;
class QStringList;
class QCheckBox;
class QLineEdit;
class QIntValidator;

class ARFinestra;
class ARsql;

class ARTipoArticolo : public QWidget
 {
  Q_OBJECT

  public:
   QGroupBox *cornice;
   QPushButton *esegui,*ckall,*cknone,*ckinvert;
   QLineEdit *descr;

   ARTipoArticolo(QWidget *parent = 0);
   ~ARTipoArticolo();
   bool setForm(QString);
   void clearForm();
   void setTipoArticoloID(QString);
   void setAzione(int);
   bool isAzione(int);
   void setEtichette(QStringList,QStringList);
   
  public slots:
   void addTipoArticolo();
   void ckAll();
   void ckNone();
   void ckInvert();
   
  private:
   ARFinestra *mainWin;
   ARsql *sql;
   QMessageBox *infobox,*warnbox;
   QString tipo_articoloID;
   QLabel *_descr,*_misure,*_campi,*_iva,*_sconto;
   QStringList etichette,etich_campi;
   QCheckBox *ckmis,*ckcampi;
   QLineEdit *iva,*sconto;
   int azione,num_mis,num_campi,posx_campi;
   
   bool checkForm();
   QString quote(QString, bool like = false);
 };

#endif
