#include <QLineEdit>
#include <QLabel>
#include <QString>

#include "ARBarraInfo.h"

ARBarraInfo::ARBarraInfo(QWidget *parent) : QWidget(parent)
 {
 	lab1 = new QLabel(tr("N. articoli"),this);       lab1->setGeometry(  1,2,90,20);
  txt1 = new QLineEdit(this);                      txt1->setGeometry( 50,2,90,20);
 	lab2 = new QLabel(tr("Tot. prezzi"),this);       lab2->setGeometry(147,2,90,20);
  txt2 = new QLineEdit(this);                      txt2->setGeometry(200,2,90,20);
 	lab3 = new QLabel(tr("Tot. prezzi acq."),this);  lab3->setGeometry(297,2,90,20);
  txt3 = new QLineEdit(this);                      txt3->setGeometry(373,2,90,20);
 	lab4 = new QLabel(tr("Tot. IVA"),this);          lab4->setGeometry(470,2,90,20);
  txt4 = new QLineEdit(this);                      txt4->setGeometry(513,2,90,20);
 	lab5 = new QLabel(tr("Tot. prezzi ivato"),this); lab5->setGeometry(608,2,90,20);
  txt5 = new QLineEdit(this);                      txt5->setGeometry(688,2,90,20);
  txt1->setReadOnly(true);
  
  QPalette pal(this->palette()); pal.setColor(QPalette::Base,pal.color(QPalette::Window));
  txt1->setReadOnly(true); txt1->setPalette(pal);
  txt2->setReadOnly(true); txt2->setPalette(pal);
  txt3->setReadOnly(true); txt3->setPalette(pal); txt3->setVisible(false); lab3->setVisible(false);
  txt4->setReadOnly(true); txt4->setPalette(pal); txt4->setVisible(false); lab4->setVisible(false);
  txt5->setReadOnly(true); txt5->setPalette(pal); txt5->setVisible(false); lab5->setVisible(false);
 }

void ARBarraInfo::setTesto(QString str, int n)
 {
 	switch(n)
 	 {
 	  case 1: txt1->setText(str); break;
 	  case 2: txt2->setText(str); break;
 	  case 3: txt3->setText(str); break;
 	  case 4: txt4->setText(str); break;
 	  case 5: txt5->setText(str); break;
 	 }
 }

void ARBarraInfo::hidePrezzo(bool fl)
 {
 	lab3->setVisible(!fl); txt3->setVisible(!fl);
 	lab4->setVisible(!fl); txt4->setVisible(!fl);
 	lab5->setVisible(!fl); txt5->setVisible(!fl);
 }
