#ifndef ARDIALOGCAP_H
#define ARDIALOGCAP_H

#include <QDialog>

class QPushButton;
class QLabel;
class QTableWidget;
class QTableWidgetItem;
class QGroupBox;
class QLineEdit;
class QMessageBox;

class ARsql;

class ARDialogCAP : public QDialog
 {
  Q_OBJECT

  public:
   QTableWidget *table;
   QPushButton *dummy,*inserisci,*annulla,*search,*reset;
   QLineEdit *cap,*citta,*prov;
   
   QString getCAP();
   QString getCitta();
   QString getProvincia();
   QTableWidgetItem *inserisciRiga(QString);
   QTableWidgetItem *inserisciRiga(const char *);

   ARDialogCAP(QWidget *parent = 0);

  public slots:
   void visCAP();
   void inserisciCAP();
   void resRicerca();

  private:
   int num_col;
   ARsql *sql;
   QGroupBox *cornice;
   QLabel *_cap,*_citta,*_prov;
   QMessageBox *infobox;

   QString quote(QString, bool like = false);
 };

#endif
